Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

SOLVED 9.3 jails show as CORRUPT in 11.3-U5

trilepton

Member
Joined
Dec 27, 2014
Messages
25
I have been on version 11.2-U5 for over a year. I have three jails that were created in warden: a syncthing plugin jail on 10.3 release and two custom jails on 9.3 release.

Recently I migrated all the jails successfully to iocage using the script at /usr/local/sbin/migrate_warden.py. I also upgraded the main system to 11.2-U8 with no issues. However I did not update any of the jails.

Today, I updated the main system to 11.3-U5. After this upgrade, both of the custom jails that were built on 9.3 release show as CORRUPT. Running iocage list shows the error freebsd-version could not be found at /mnt/pool-name/jails/jail-name/root/bin/freebsd-version for both of the corrupt jails.

I tried fetching the earliest release in iocage 11.2-RELEASE (EOL) and upgrading the corrupt jails but that resulted the same error as above about freebsd-version not being found.

I did notice that the syncthing jail, which is working and was based on 10.3 release does have the freebsd-version file.

What is the best way to get the corrupt jails to work? How can I update them from the really old version? Is it possible to just create a freebsd-version file for them?
 

sretalla

Dedicated Sage
Joined
Jan 1, 2016
Messages
3,375
Recreate your jails and move any data you had over from the old jail dataset.

Booting back to older versions of FreeNAS and progressively updating the jail until you get to a supported version will be a pain (more than just recreating them).
 

trilepton

Member
Joined
Dec 27, 2014
Messages
25
Thanks for the reply. So I attempted to create brand a new jail but it failed on the same error about the file "freebsd-version" not being found. It looks like almost all iocage operations (e.g. renaming a jail) were getting affected by this error.

Then I tried copying the "freebsd-version" file from the one jail that had it to the two jails that were missing. After that the jails that were previously labeled as CORRUPT were identified correctly. I was able to run them with seemingly no issues either.

The above seems like a hack and I don't fully understand what's going on. But I now have working jails and I should be able to update/recreate them as needed.
 
Top